package test;

import java.io.*;

import com.motherplanet.location.define.*;

/**
 * <p>Title: </p>
 * <p>Description: </p>
 * <p>Copyright: Copyright (c) 2002</p>
 * <p>Company: </p>
 * @author not attributable
 * @version 1.0
 */

public class LocationItemCity
    extends LocationItemImpl {
    String imagePath = null;
    long population;

    public LocationItemCity(LocationMap lmap, String content) {
        super(lmap, content);
        population = Long.parseLong(getDataColumn(6));
    }

    /**
     * getImage
     *
     * @return String
     * @todo Implement this com.motherplanet.location.LocationItem method
     */
    public String getImage() {
        if (imagePath == null) {
            String key = null;

            if (population >= 1000000) {
                key = "1000";
            }
            else if (population >= 500000) {
                key = "500";
            }
            else if (population >= 100000) {
                key = "100";
            }
            else if (population >= 20000) {
                key = "20";
            }
            else if (population >= 5000) {
                key = "5";
            }
            else {
                key = "1";
            }
            String adm = getDataColumn(5);
            switch (adm.charAt(0)) {
                case 'R': //region admin
                    key += "r";
                    break;
                case 'C': //country admin
                case 'B': //both region and country admin
                    key += "c";
                    break;
            }

            imagePath = "images" + File.separator + key + ".gif";
        }

        return imagePath;
    }

    /**
     * getFont
     *
     * @return String
     * @todo Implement this com.motherplanet.location.LocationItem method
     */
    public String getFont() {
        int threshold = 1000000;
        //1000000˿ڴʾ
        if (getParent().getRenderedCount() < 20) {
            threshold = 100000;
        }

        if (population > threshold) {
            return "verdana,7,bold";
        }

        return "verdana,7,normal";
    }

}
